Subject: Re: git svn clone failure

From: Markus Heidelberg <[email-masked]>
Date: Sat, 28 Mar 2009 16:20:29 +0100

Lachlan Deck, 28.03.2009:
> On 28/03/2009, at 11:59 PM, Markus Heidelberg wrote:
> 
> > Lachlan Deck, 27.03.2009:
> >> Hi there,
> >>
> >> I'm trying to clone an existing svn repository with git (just getting
> >> started with git) and it keeps failing with:
> >> ...
> >> r604 = 6428e63734a21ee5fcb4593274747e2758578a91 (git-svn)
> >> fatal: unable to run 'git-svn'
> >
> > Are you sure r604 isn't the latest svn revision?
> 
> A few thousand out, yes.
> 
> > I always get this error when doing "git svn fetch" with an http URL,  
> > it
> > doesn't occur with an svn URL. But everything seems to work fine,
> > though.
> 
> Interesting. Yes, it's from an https url. I'll try svn+ssh://..
> But are you saying there's no way to get more info about the error?

At least I don't have more info about it except for this:
I use Gentoo Linux and the git ebuild (I have the distribution package
installed, but use the self-compiled git) says

    "Per Gentoo bugs #223747, #238586, when subversion is built"
    "with USE=dso, there may be weird crashes in git-svn. You"
    "have been warned."

I have subversion compiled with dso (Enable runtime module search), it's
enabled per default. And since it worked, I didn't change it. But it
would be interesting to see, if this error has something to do with it.
Maybe I'll try it out.

Markus